# -*- coding: utf-8 -*-
##############################################################################
#
#    GNU LIMS
#    Copyright (C) 2013  Luis Falcon <lfalcon@thymbra.com>
#    Copyright (C) 2013  Sebastián Marró <smarro@thymbra.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from trytond.pool import Pool
from .lims import *
from report import *
from wizard import *


def register():
    Pool.register(
        GnuLimsSequences,
        SampleType,
        Sample,
        TestType,
        Lab,
        GnuLimsTestUnits,
        GnuLimsTestCritearea,
        GnuLimsTest,
        CreateLabTestOrderInit,
        module='lims', type_='model')
    Pool.register(
        CreateLabTestOrder,
        module='lims', type_='wizard')
    Pool.register(
        LabTestReport,
        module='lims', type_='report')
